All Objects| Statics| Objects| KJSEmbed Objects| Qt Objects| KDE Objects| Exceptions| Uncreatable Objects

# KAction

Bindings for the KAction class.

## Properties

None

## Methods

activate(...)
child(...)
childCount(...)
children(...)
className(...)
connect(...)
deleteLater(...)
disconnect(...)
getAttribute(...)
getElementById(...)
getParentNode(...)
hasAttribute(...)
isWidgetType(...)
parent(...)
properties(...)
setAttribute(...)
setEnabled(...)
setGroup(...)
setIcon(...)
setShortcutConfigurable(...)
setText(...)
setToolTip(...)
setWhatsThis(...)
signals(...)
slots(...)
superClassName(...)

## Qt Properties

Type | Name | Value
--- | --- | ---
int | containerCount | 0
bool | enabled | true
QString | group |
QString | icon |
QCString | name | unnamed
QString | plainText |
QString | shortcut |
QString | text |
QString | toolTip |
QString | whatsThis |

## Qt Signals

activated()
destroyed()
destroyed(QObject*)
enabled(bool)

## Qt Slots

void | activate()
void | cleanupEventFilter(QObject*)
void | deleteLater()
void | setEnabled(bool)
void | setGroup(const QString&)
void | setIcon(const QString&)
void | setIconSet(const QIconSet&)
bool | setShortcut(const KShortcut&)
void | setShortcutConfigurable(bool)
void | setText(const QString&)
void | setToolTip(const QString&)
void | setWhatsThis(const QString&)
void | slotActivated()
void | slotDestroyed()
void | slotKeycodeChanged()